A collection of endpoints which can be used to search the catalog for relevant activities.
- Complete payment via Adyen or Stripe
Musement API (3.5.0)
For merchant or affiliate partners wishing to use the Musement API.
See the Authentication section for details on how to authenticate with the API.
GET /activities/{activityUuid}/dates/{date}- Added
availability,max_buyandmin_buyproperties to timeslots. For more info, check out our guide
- Added
A partner's application value, used for analyzing API usage and to identify areas of improvement.
The API version to use for the request.
When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.
- Mock serverhttps://partner-api.musement.com/_mock/reference/openapi/payments/split/payment
- Sandbox serverhttps://sandbox.musement.com/api/v3/payments/split/payment
- Production serverhttps://api.musement.com/api/v3/payments/split/payment
- curl
- C#
- Node.js
curl -i -X POST \
https://partner-api.musement.com/_mock/reference/openapi/payments/split/payment \
-H 'Content-Type: application/json' \
-H 'X-Musement-Application: string' \
-H 'X-Musement-Version: 3.4.0' \
-d '{
"adyen_token": "string",
"card_brand": "string",
"card_country": "st",
"client_ip": "string",
"order_uuid": "e56795c7-0bc3-4742-a52f-988d2af8608f",
"redirect_url_success_3d_secure": "http://example.com"
}'Payment details
An indication of which payment gateway was selected:
BUSINESS_STRATEGY: automatically based on which gateway provides the best commission.CLIENT_SELECTED: based on request body.FALLBACK: when one gateway payment attempt fails, the other is selected for a second attempt.
{ "gateway": "ADYEN", "3d_secure": { "payload": {}, "payment_intent_client_secret": "string", "type": "FORM", "url": "http://example.com" }, "reason": "BUSINESS_STRATEGY" }
A partner's application value, used for analyzing API usage and to identify areas of improvement.
The API version to use for the request.
When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.
- Mock serverhttps://partner-api.musement.com/_mock/reference/openapi/payments/split/complete_3d_secure
- Sandbox serverhttps://sandbox.musement.com/api/v3/payments/split/complete_3d_secure
- Production serverhttps://api.musement.com/api/v3/payments/split/complete_3d_secure
- curl
- C#
- Node.js
curl -i -X POST \
https://partner-api.musement.com/_mock/reference/openapi/payments/split/complete_3d_secure \
-H 'Content-Type: application/json' \
-H 'X-Musement-Application: string' \
-H 'X-Musement-Version: 3.4.0' \
-d '{
"order_uuid": "e56795c7-0bc3-4742-a52f-988d2af8608f",
"payment_intent_id": "string"
}'{ "3d_secure": { "payload": {}, "payment_intent_client_secret": "string", "type": "FORM", "url": "http://example.com" } }